/**
 * @hidden
 * @packageDocumentation
 */
import { AdviceManager } from "../../../standard-edition/accessibility/advice-manager";
import { UndoRedoEditor } from "../../../standard-edition/editor/undo-redo-editor";
import { SemanticAdviceGenerator } from "./semantic-advice-generator";
import { IAdvice } from "../../../standard-edition/accessibility/advices";
import { MathEditorAPI } from "../editor-api";
import { Term } from "../util/term";
export declare class SemanticAdviceManager extends AdviceManager {
    semanticEditor: MathEditorAPI;
    termCache: {
        [internalStructure: string]: Term[];
    };
    protected generator: SemanticAdviceGenerator;
    constructor(editor: UndoRedoEditor, cb: (adv: IAdvice, hadSelection: boolean) => void);
    getAdvices(): IAdvice[];
    private getSemanticallyFiltered;
    private initializeTermCache;
}
