/**
 * @hidden
 * @packageDocumentation
 */
import { RootNode } from "../../../standard-edition/model/model-base";
import { ErrorSeverity, SemanticError } from "../../../standard-edition/model/errors";
import { UndoRedoEditor } from "../../../standard-edition/editor/undo-redo-editor";
import { VariableNode } from "../../../standard-edition/model/model-math";
import { Editor } from "../../../standard-edition/editor/editor";
import { SemanticContext } from "../../../standard-edition/engine/semantic-context";
import { MathNodeValidationVisitor } from "../util/validation";
export declare class SemanticUtils {
    static findAllContextFunctionVariables(editor: Editor): {
        [name: string]: VariableNode;
    };
    static findFreeVariables(editor: Editor, allVars: {
        [name: string]: VariableNode;
    }): VariableNode[];
    static isStrictSemanticalFiltering(editor: UndoRedoEditor): boolean;
    static getErrors(root: RootNode, semanticContext: SemanticContext, severity: ErrorSeverity, semanticValidationVisitor: MathNodeValidationVisitor): SemanticError[];
    static compareErrors(err1: SemanticError, err2: SemanticError, strictComparison: boolean): boolean;
}
