/**
 * @hidden
 * @packageDocumentation
 */
import { MathComma, MathEquality, MathNode, MathNumber, MathParentheses, MathPlaceholder, MathStructure, MathSymbol, MathTransformation, MathVariable } from "../model";
/**
 * Includes Type Guards for semantic math tree.
 */
export declare namespace TypeGuards {
    /**
     * Checks if the given node is {@link MathStructure}
     * @param mathNode
     */
    function isMathStructure(mathNode: MathNode): mathNode is MathStructure;
    /**
     * Checks if the given node is {@link MathSymbol}
     * @param mathNode
     */
    function isMathSymbol(mathNode: MathNode): mathNode is MathSymbol;
    /**
     * Checks if the given node is {@link MathNumber}
     * @param mathNode
     */
    function isMathNumber(mathNode: MathStructure): mathNode is MathNumber;
    /**
     * Checks if the given node is {@link MathVariable}
     * @param mathNode
     */
    function isMathVariable(mathNode: MathStructure): mathNode is MathVariable;
    /**
     * Checks if the given node is {@link MathTransformation}
     * @param mathNode
     */
    function isMathTransformation(mathNode: MathStructure): mathNode is MathTransformation;
    /**
     * Checks if the given node is {@link MathEquality}
     * @param mathNode
     */
    function isMathEquality(mathNode: MathStructure): mathNode is MathEquality;
    /**
     * Checks if the given node is {@link MathParentheses}
     * @param mathNode
     */
    function isMathParentheses(mathNode: MathStructure): mathNode is MathParentheses;
    /**
     * Checks if the given node is {@link MathComma}
     * @param mathNode
     */
    function isMathComma(mathNode: MathStructure): mathNode is MathComma;
    /**
     * Checks if the given node is {@link MathPlaceholder}
     * @param mathNode
     */
    function isMathPlaceholder(mathNode: MathStructure): mathNode is MathPlaceholder;
}
