/**
 * @hidden
 * @packageDocumentation
 */
import { MathNode, MathNodeName, MathNodeVisitor } from "../model";
/**
 * Applies visitor to the all given semantic math tries.
 * @param nodes
 * @param visitor
 * @category API
 */
export declare function acceptMathNodes<T>(nodes: MathNode[], visitor: MathNodeVisitor<T>): T[];
export declare function acceptMathNodeOptional<T>(node: MathNode | null, visitor: MathNodeVisitor<T>): T;
/**
 * Applies visitor to the given semantic math tree.
 * @param node
 * @param visitor
 * @category API
 */
export declare function acceptMathNode<T>(node: MathNode, visitor: MathNodeVisitor<T>): T;
export declare function getMethodByMathNodeName<T>(name: MathNodeName, visitor: MathNodeVisitor<T>): (MathNode: any) => T;
