/**
 * @hidden
 * @packageDocumentation
 */
import { StandardKeyboardEditor } from "../../standard-edition/mobile/standard-layouts";
import { MathEditor } from "../api/editor-dombinder";
import { UpdateListenersHolder } from "../../standard-edition/dom/dombinder-notify-updater";
import { FocusHandler } from "../../standard-edition/dom/focus-handler";
import { KeyboardShortcuts } from "../../standard-edition/dom/keyboard-shortcuts";
export declare class SemanticKeyboardEditor extends StandardKeyboardEditor {
    private readonly onActivate;
    constructor(element: HTMLElement, keyboardShortcuts: KeyboardShortcuts, focusHandler: FocusHandler, notifier: UpdateListenersHolder, onActivate: () => void);
    activate(): void;
}
/**
 * Shows virtual keyboard for the given editor.
 * @param editor
 * @param dontHide - whether hide the virtual keyboard on blur or not
 * @category API
 */
export declare function showKeyboard(editor: MathEditor, dontHide?: boolean): void;
/**
 * Returns true if the virtual keyboard is shown.
 * @category API
 */
export declare function isKeyboardShown(): boolean;
