/**
 * @hidden
 * @packageDocumentation
 */
import { UndoRedoEditor } from "../editor/undo-redo-editor";
import { AdviceGenerator } from "./advice-generator";
import { IAdvice } from "./advices";
export declare class AdviceManager {
    protected readonly editor: UndoRedoEditor;
    protected advices: IAdvice[];
    protected filteredAdvices: IAdvice[];
    protected generator: AdviceGenerator;
    private readonly onAdviceApply;
    constructor(editor: UndoRedoEditor, onAdviceApply: (adv: IAdvice, hadSelection: boolean) => void, generator?: AdviceGenerator);
    getAdvices(): IAdvice[];
    filterCurrentAdvices(filterString: string): IAdvice[];
    getFiltered(advices: IAdvice[], filterString: string): IAdvice[];
    applyAdvice(advice: IAdvice): void;
    protected getSortedByName(adv: IAdvice[]): IAdvice[];
}
