/**
 * @hidden
 * @packageDocumentation
 */
import { InnerSelection, SelectionVisitor } from "../engine/selection/utils";
import { EmptySelection } from "../engine/selection/empty-selection";
import { LevelSelection } from "../engine/selection/level-selection";
import { SpaceSelection } from "../engine/selection/space-selection";
export interface SelectionDifferenceString {
    prev: string;
    curr: string;
}
export declare class SelectionDifferenceSpeaker implements SelectionVisitor<SelectionDifferenceString> {
    private static readonly instance;
    private readonly prevSelection;
    constructor(selection: InnerSelection);
    visitEmpty(selection: EmptySelection): SelectionDifferenceString;
    visitLevel(selection: LevelSelection): SelectionDifferenceString;
    private formLevelDifferenceString;
    visitSpace(selection: SpaceSelection): SelectionDifferenceString;
    private formSpaceDifferenceString;
    private static getSpaceSelectedLevels;
}
