/**
 * @hidden
 * @packageDocumentation
 */
export interface FocusPermissions {
    canFocus(): boolean;
    canBlur(): boolean;
}
export interface FocusCallbacks {
    onFocus(): void;
    onBlur(): void;
}
export declare class FocusHandler {
    private focused;
    private readonly permissions;
    private readonly callbacks;
    private readonly element;
    readonly destroy: () => void;
    constructor(element: HTMLElement, permissions: FocusPermissions, callbacks: FocusCallbacks);
    get hasFocus(): boolean;
    focus(): void;
    private onFocus;
    blur(): void;
    private onBlur;
}
