/**
 * @hidden
 * @packageDocumentation
 */
import { Editor } from "../editor";
import { HintResult } from "../../engine/hints";
declare class TokenChain {
    readonly children: LatexToken[];
    private index;
    constructor(children?: LatexToken[]);
    peek(): LatexToken;
    next(): LatexToken;
    enter(editor: Editor): void;
}
declare abstract class LatexToken {
    parent: LatexToken;
    constructor(parent?: LatexToken);
    abstract enter(editor: Editor, chain: TokenChain): any;
    enterTo(editor: Editor): void;
}
export declare class LatexParser {
    private static repl;
    static initialize(): void;
    static insert(command: string): HintResult;
    /**
     * Usage:  LatexParser.parse(latex).enterTo(editor);
     */
    static parse(latex: string): LatexToken;
    static parsePlainText(latex: string): LatexToken;
}
export {};
