/**
 * @hidden
 * @packageDocumentation
 */
import { Stateful } from "./editor";
export interface UndoRedoManagerState<T> {
    history: T[];
    position: number;
}
export declare class UndoRedoManager<T> {
    private readonly stateful;
    private readonly maxHistoryLength;
    private history;
    private position;
    constructor(stateful: Stateful<T>, maxHistoryLength?: number);
    getCurrentState(): T;
    saveState(state?: T): void;
    undo(): boolean;
    redo(): boolean;
    clearHistory(): void;
    saveHistory(): {
        history: T[];
        position: number;
    };
    restoreHistory(undoRedoManagerState: UndoRedoManagerState<T>): void;
    private stateEquals;
}
