/**
 * @hidden
 * @packageDocumentation
 */
import { AnyNode, RootNode, TerminalPointer } from "../model/model-base";
export declare class NodeView {
    label: string;
    shape: string;
    color: string;
    constructor(label: string, shape?: string, color?: string);
}
export declare class DotPrinter {
    readonly stages: string[];
    onSave: (stage: string) => void;
    getView: (n: AnyNode) => NodeView;
    size: string;
    save(root: RootNode, pointer: TerminalPointer, meta: string, nodeIdToHighlight?: number): void;
    toString(): string;
    print(root: RootNode, pointer: TerminalPointer, meta: string, nodeIdToHighlight?: number): string;
    private highlight;
    private getLabel;
}
