/**
 * @hidden
 * @packageDocumentation
 */
import { Hint } from "./hints";
import { RootNode, TerminalPointer } from "../model/model-base";
import { DotPrinter } from "./dot-printer";
import { SemanticContext } from "./semantic-context";
export declare class HintManager {
    readonly hints: Hint[];
    private readonly _semanticContext;
    dotPrinter: DotPrinter;
    constructor(hints?: Hint[]);
    private static createDefaultHints;
    get semanticContext(): SemanticContext;
    set semanticContext(context: SemanticContext);
    applyHintsToTree(root: RootNode, terminalPointer: TerminalPointer, log: boolean): TerminalPointer;
    private checkReferencesConsistency;
    private applyHintsToNode;
}
