/**
 * @hidden
 * @packageDocumentation
 */
import { LevelSelection } from "./level-selection";
import { SpaceSelection } from "./space-selection";
import { Terminal } from "../../model/model-base";
import { EmptySelection } from "./empty-selection";
export interface InnerSelection {
    accept<T>(visitor: SelectionVisitor<T>): T;
    readonly terminals: Terminal[];
    readonly size: number;
}
export interface SelectionHistory {
    push(selection: InnerSelection): void;
    pop(): InnerSelection;
    clear(): void;
}
export interface SelectionVisitor<T> {
    visitLevel(selection: LevelSelection): T;
    visitSpace(selection: SpaceSelection): T;
    visitEmpty(selection: EmptySelection): T;
}
