/**
 * @hidden
 * @packageDocumentation
 */
import { KeyboardShortcuts } from "../dom/keyboard-shortcuts";
import { UpdateListenersHolder } from "../dom/dombinder-notify-updater";
export interface Layout {
    HTML: string;
    name: string;
    click(keyboardShortcust: KeyboardShortcuts, command: string, data: string, onLostFocus: () => void): void;
    onActivate(editor: KeyboardEditor): void;
    onDeactivate(): void;
}
export interface KeyboardEditor {
    activate(): void;
    element: HTMLElement;
    keyboardShortcuts: KeyboardShortcuts;
    notifyUpdater: UpdateListenersHolder;
}
export declare class Keyboard {
    private element;
    private visibleDisplay;
    private removeEditorListeners;
    private currentLayout;
    defaultLayoutKey: string;
    private backToLayoutKey;
    private layoutTemplates;
    addLayout(key: string, layout: Layout): void;
    private init;
    private autoHide;
    private setLayout;
    show(editor: KeyboardEditor, dontHide?: boolean): void;
    scrollIntoView(editor: KeyboardEditor): void;
    hide(): void;
    isShown(): boolean;
}
