/// <reference types="node" />
import { Keyboard, KeyboardEditor, Layout } from "./basic-keyboard";
import { KeyboardShortcuts } from "../dom/keyboard-shortcuts";
import { FocusHandler } from "../dom/focus-handler";
import { DomBinder } from "../dom/editor-dombinder";
import { NotifyUpdateObject, UpdateListenersHolder } from "../dom/dombinder-notify-updater";
export declare class SimpleLayout implements Layout {
    readonly HTML: string;
    readonly name: string;
    constructor(name: string, html: string);
    click(kb: KeyboardShortcuts, command: string, data: string, onLostFocus: () => void): void;
    onActivate(ke: KeyboardEditor): void;
    onDeactivate(): void;
    private readClipboard;
}
export declare class AssistLayout extends SimpleLayout {
    HTML: string;
    name: string;
    protected updateTimer: NodeJS.Timer;
    protected remover: () => void;
    private adviceIsApplying;
    private readonly debounce_delay_ms;
    protected isActive: boolean;
    constructor(name: string, html?: string);
    onActivate(ke: KeyboardEditor): void;
    onDeactivate(): void;
    protected getUpdateListener(ke: KeyboardEditor): (ev: NotifyUpdateObject[]) => void;
    protected fillAdvices(ke: KeyboardEditor): void;
}
export declare class StandardKeyboardEditor implements KeyboardEditor {
    protected readonly focusHandler: FocusHandler;
    readonly keyboardShortcuts: KeyboardShortcuts;
    readonly element: HTMLElement;
    readonly notifyUpdater: UpdateListenersHolder;
    constructor(element: HTMLElement, keyboardShortcuts: KeyboardShortcuts, focusHandler: FocusHandler, notifier: UpdateListenersHolder);
    activate(): void;
}
export declare class Layout123 extends SimpleLayout {
    constructor(name: string);
}
export declare class LayoutABC extends SimpleLayout {
    constructor(name: string);
}
export declare class LayoutABCCapital extends SimpleLayout {
    constructor(name: string);
}
export declare function initializeStandardKeyboard(): Keyboard;
export declare function showKeyboard(domBinder: DomBinder, dontHide?: boolean): void;
