/**
 * @hidden
 * @packageDocumentation
 */
import { Terminal, TerminalPointer } from "./model-base";
export interface CursorPosition {
    readonly left: Terminal;
    readonly right: Terminal;
    readonly leftPointer: TerminalPointer;
    readonly rightPointer: TerminalPointer;
    empty(): boolean;
    get(left: boolean): Terminal;
    equals(cp: CursorPosition): boolean;
    drop(): void;
    clone(flipCursorPositions?: boolean): CursorPosition;
}
export declare class CursorPositionImpl implements CursorPosition {
    left: Terminal;
    right: Terminal;
    constructor(left: Terminal, right: Terminal);
    clone(flipCursorPositions?: boolean): CursorPosition;
    set(left: boolean, terminal: Terminal): void;
    get leftPointer(): TerminalPointer;
    get rightPointer(): TerminalPointer;
    get(left: boolean): Terminal;
    equals(cp: CursorPosition): boolean;
    drop(): void;
    empty(): boolean;
    toString(): string;
}
