/**
 * @hidden
 * @packageDocumentation
 */
export declare enum ErrorSeverity {
    emptyPlaceholder = "emptyPlaceholder",
    insufficientExpression = "insufficientExpression",
    incorrectExpression = "incorrectExpression",
    expressionAtWrongPlace = "expressionAtWrongPlace"
}
export declare class SemanticError {
    readonly terminals: number[];
    readonly description: string;
    readonly severity: ErrorSeverity;
    readonly allowDeeperValidation: boolean;
    constructor(terminal: number | number[], desc: string, severity: ErrorSeverity, allowDeeperValidation?: boolean);
}
