/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractBracketsNode, BinaryOperationNode, ConstantNode, DeterminantNode, DifferentialNode, DivideNode, EmptysetVariableNode, FuncNode, GreekVariableNode, InfSupNameNode, IntegralNode, LatinVariableNode, LimNode, LnNode, LogNode, MathRootNode, NumsetVariableNode, OperatorNameNode, OperatorNameVisitor, PiecewiseFunctionNode, PredicateNode, PrimeNode, ProdOrSumNode, SubIndexNode, SupIndexNode, SupSubIndexNode, SystemOfEquationsNode, TrigNameNode, UnaryMinusNode, UndefinedNode, ValueNode } from "./model-math";
import { AbstractCellNode, AnyNodeVisitor, NonTerminal, NonTerminalVisitor, NothingNode, RawNode, RootNode, Terminal, TerminalVisitor } from "./model-base";
export declare class SemanticPrintVisitor implements AnyNodeVisitor<string>, NonTerminalVisitor<string>, TerminalVisitor<string>, OperatorNameVisitor<string> {
    private readonly _withIds;
    static instance: SemanticPrintVisitor;
    static withIds: SemanticPrintVisitor;
    private constructor();
    private withId;
    visitTerminal(node: Terminal): string;
    visitNonTerminal(node: NonTerminal): string;
    visitBinaryOperation(node: BinaryOperationNode): string;
    visitUnaryMinus(node: UnaryMinusNode): string;
    visitDivide(node: DivideNode): string;
    visitFunction(node: FuncNode): string;
    visitLim(node: LimNode): string;
    visitProdOrSum(node: ProdOrSumNode): string;
    visitLog(node: LogNode): string;
    visitValue(node: ValueNode): string;
    visitEmptyset(node: EmptysetVariableNode): string;
    visitGreek(node: GreekVariableNode): string;
    visitLatin(node: LatinVariableNode): string;
    visitNumset(node: NumsetVariableNode): string;
    visitOperatorName(node: OperatorNameNode): string;
    visitTrigName(node: TrigNameNode): string;
    visitLn(node: LnNode): string;
    visitInfSup(node: InfSupNameNode): string;
    visitRaw(node: RawNode): string;
    visitConstant(node: ConstantNode): string;
    visitUndefined(node: UndefinedNode): string;
    visitCell(node: AbstractCellNode): string;
    visitAbstractBrackets(node: AbstractBracketsNode): string;
    visitNothing(node: NothingNode): string;
    visitMathRoot(node: MathRootNode): string;
    visitSup(node: SupIndexNode): string;
    visitSub(node: SubIndexNode): string;
    visitSupSub(node: SupSubIndexNode): string;
    visitPrime(node: PrimeNode): string;
    visitRoot(node: RootNode): string;
    visitDiff(node: DifferentialNode): string;
    visitInt(node: IntegralNode): string;
    visitPredicate(node: PredicateNode): string;
    visitDeterminant(node: DeterminantNode): string;
    visitSystemOfEquations(node: SystemOfEquationsNode): string;
    visitPiecewiseFunction(node: PiecewiseFunctionNode): string;
}
