/**
 * @hidden
 * @packageDocumentation
 */
/**
 * Этот парсер отвязан от кокретной семантики
 * Он понимает только дерево токенов, где каждый токен это или
 *
 * name или name(список субтокенов через запятую)
 *
 * Примеры:
 *
 * null
 * sin(null)
 * plus(sin(val(2),var(x))
 *
 В именах токенов запрещены все три служебных символа: обе круглые скобки и запятая
 Запрещено указывать скобки без аргументов. То есть sin - можно, а sin() - нельзя
 */
import { IMathToken } from "./math-parser";
export declare class Token implements IMathToken {
    readonly name: string;
    args: Token[];
    readonly startIndex: number;
    nodeId: number;
    constructor(index: number, name: string, args: Token[]);
    get label(): string;
    toString(): string;
}
export declare function parse(input: string): Token;
