/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, ParseValue } from "./AST";
import { KatexNodeVisitor } from "./visitors";
export declare class AccentUnder extends AbstractNode {
    command: string;
    body: AbstractNode[];
    static commands: {
        underleftarrow: string;
        underrightarrow: string;
        underleftrightarrow: string;
        undergroup: string;
        underlinesegment: string;
        utilde: string;
    };
    constructor(command: string, body: AbstractNode[]);
    toParseValue(): ParseValue;
    accept<T>(visitor: KatexNodeVisitor<T>): T;
}
