/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, ParseValue } from "./AST";
import { KatexNodeVisitor } from "./visitors";
export declare class Font extends AbstractNode {
    command: string;
    body: AbstractNode[];
    static commands: {
        mathrm: string;
        mathit: string;
        mathbf: string;
        mathnormal: string;
        mathbb: string;
        mathcal: string;
        mathfrak: string;
        mathscr: string;
        mathsf: string;
        mathtt: string;
        Bbb: string;
        bold: string;
        frak: string;
    };
    constructor(command: string, body: AbstractNode[]);
    toParseValue(): ParseValue;
    accept<T>(visitor: KatexNodeVisitor<T>): T;
}
export declare class FontOld extends Font {
    static oldCommands: {
        rm: string;
        sf: string;
        tt: string;
        bf: string;
        it: string;
    };
    toParseValue(): ParseValue;
}
