/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, ParseValue } from "./AST";
import { KatexNodeVisitor } from "./visitors";
export declare class Fraction extends AbstractNode {
    command: string;
    numer: AbstractNode[];
    denom: AbstractNode[];
    static commands: {
        cfrac: string;
        dfrac: string;
        frac: string;
        tfrac: string;
        dbinom: string;
        binom: string;
        tbinom: string;
    };
    static infixCommands: {
        atop: string;
        brace: string;
        brack: string;
    };
    constructor(command: string, numer?: AbstractNode[], denom?: AbstractNode[]);
    toParseValue(): ParseValue;
    accept<T>(visitor: KatexNodeVisitor<T>): T;
}
