/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, ParseValue } from "./AST";
import { KatexNodeVisitor } from "./visitors";
import { KatexNodeRect } from "../types";
/**
 * @description Special, not existing in Katex, type of element which is rendered to blank space of given size (built of
 * actual space symbols)
 */
export declare class Placeholder extends AbstractNode {
    size?: number;
    private metricWidth?;
    constructor(size: number, metricWidth?: number);
    toParseValue(): ParseValue;
    getPlaceholderMetrics(rect: KatexNodeRect): KatexNodeRect;
    accept<T>(visitor: KatexNodeVisitor<T>): T;
}
