/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, ParseValue } from "./AST";
import { KatexNodeVisitor } from "./visitors";
export declare class Sizing extends AbstractNode {
    body: AbstractNode[];
    command: string;
    static commands: {
        tiny: string;
        sixptsize: string;
        scriptsize: string;
        footnotesize: string;
        small: string;
        normalsize: string;
        large: string;
        Large: string;
        LARGE: string;
        huge: string;
        Huge: string;
    };
    constructor(size: string, body?: AbstractNode[]);
    toParseValue(): ParseValue;
    accept<T>(visitor: KatexNodeVisitor<T>): T;
}
