/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, ParseValue } from "./AST";
import { KatexNodeVisitor } from "./visitors";
export declare class Styling extends AbstractNode {
    body: AbstractNode[];
    command: string;
    static commands: {
        displaystyle: string;
        textstyle: string;
        scriptstyle: string;
        scriptscriptstyle: string;
    };
    constructor(command: string, body: AbstractNode[]);
    toParseValue(): ParseValue;
    accept<T>(visitor: KatexNodeVisitor<T>): T;
}
