/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, ParseValue } from "./AST";
import { KatexNodeVisitor } from "./visitors";
export declare class Text extends AbstractNode {
    body: AbstractNode[];
    command: string;
    font: string;
    static commands: {
        text: string;
        textrm: string;
        textsf: string;
        texttt: string;
        textnormal: string;
        textbf: string;
        textit: string;
    };
    constructor(command: string, body: AbstractNode[]);
    toParseValue(): ParseValue;
    accept<T>(visitor: KatexNodeVisitor<T>): T;
}
