/**
 * @hidden
 * @packageDocumentation
 */
import { AbstractNode, Mode, ParseNode } from "./AST";
/**
 * @description Used where Katex accept single-node body (usages of args[0] etc).
 */
export declare function wrapOptionalOrdgroup(node: AbstractNode[] | null): ParseNode | null;
/**
 * @description Same as wrapOrdgroup, but always wraps. Katex does it for optional arguments by some reason.
 */
export declare function wrapOrdgroup(node: AbstractNode[] | null): ParseNode | null;
/**
 * @description Used where Katex accept array body (usages of "ordargument", usages of parser.parseExpression).
 */
export declare function toParseNodeArray(nodes?: AbstractNode[]): ParseNode[] | null;
export declare function guessSymbol(latex: string, mode?: Mode): AbstractNode;
