///<reference path="../node_modules/@types/chai/index.d.ts"/>

declare namespace Chai {
    interface Assertion {
        equalTree(parseTree: object): Assertion;

        equalTreeWithLatex(latex: string): Assertion;

        walkBetweenNodes(from: number, side: any, direction: any, to: number, toSide: any): Assertion;

        walkNowhere(from: number, side: any, direction: any): Assertion;

        walkHorizontally(from: number,
                         goLeftFromLeftSide: [number, any] | null,
                         goLeftFromRightSide: [number, any] | null,
                         goRightFromLeftSide: [number, any] | null,
                         goRightFromRightSide: [number, any] | null): Assertion;

        walkVertically(from: number,
                       goUpFromLeftSide: [number, any] | null,
                       goUpFromRightSide: [number, any] | null,
                       goDownFromLeftSide: [number, any] | null,
                       goDownFromRightSide: [number, any] | null): Assertion;
    }
}